Package org.opensaml.xacml.policy.impl

# Class ObligationTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.ObligationTypeImpl

All Implemented Interfaces:
  `XMLObject`, `ObligationType`, `XACMLObject`

public class ObligationTypeImpl extends AbstractXACMLObject implements ObligationType
Implementation for `ObligationType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private XMLObjectChildrenList<AttributeAssignmentType>`
`attributeAssignments`
List of the atrributeAssignments in the obligation.
`private EffectType`
`fulFillOn`
The attribute fulfillOn.
`private String`
`obligationId`
Obligation Id.

### Fields inherited from interface org.opensaml.xacml.policy.ObligationType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_QNAME, FULFILL_ON_ATTRIB_NAME, OBLIGATION_ID_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ObligationTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<AttributeAssignmentType>`
`getAttributeAssignments()`
Gets the attribute assignments for this obligation.
`EffectType`
`getFulfillOn()`
Gets the fulfill on effect.
`String`
`getObligationId()`
Gets the ID of this obligation.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setFulfillOn(EffectType newFulfillOn)`
Sets fulfill on effect.
`void`
`setObligationId(String newObligationId)`
Sets the ID of this obligation.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### attributeAssignments

private XMLObjectChildrenList<AttributeAssignmentType> attributeAssignments
List of the atrributeAssignments in the obligation.

### fulFillOn

private EffectType fulFillOn
The attribute fulfillOn.

### obligationId

private String obligationId
Obligation Id.

## Constructor Details

### ObligationTypeImpl

protected ObligationTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAttributeAssignments

public List<AttributeAssignmentType> getAttributeAssignments()
Gets the attribute assignments for this obligation.

Specified by:
  `getAttributeAssignments` in interface `ObligationType`
Returns:
  attribute assignments for this obligation

### getFulfillOn

public EffectType getFulfillOn()
Gets the fulfill on effect.

Specified by:
  `getFulfillOn` in interface `ObligationType`
Returns:
  fulfill on effect

### getObligationId

public String getObligationId()
Gets the ID of this obligation.

Specified by:
  `getObligationId` in interface `ObligationType`
Returns:
  ID of this obligation

### setFulfillOn

public void setFulfillOn(EffectType newFulfillOn)
Sets fulfill on effect.

Specified by:
  `setFulfillOn` in interface `ObligationType`
Parameters:
  `newFulfillOn` - fulfill on effect

### setObligationId

public void setObligationId(String newObligationId)
Sets the ID of this obligation.

Specified by:
  `setObligationId` in interface `ObligationType`
Parameters:
  `newObligationId` - ID of this obligation

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements